/**
 * Copyright 2012 Asakusa Framework Team.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.asakusafw.tutorial.sumreceipt.gateway;

import java.util.Arrays;
import java.util.List;

import com.asakusafw.tutorial.modelgen.table.jdbc.ItemJdbcSupport;
import com.asakusafw.tutorial.modelgen.table.model.Item;
import com.asakusafw.vocabulary.windgate.JdbcImporterDescription;
import com.asakusafw.windgate.core.vocabulary.DataModelJdbcSupport;

/**
 * 商品マスタをDBからインポートする。
 */
public class ItemFromDB extends JdbcImporterDescription {

	@Override
	public Class<?> getModelType() {
		return Item.class;
	}

	@Override
	public String getProfileName() {
		return "pos";
	}

	@Override
	public Class<? extends DataModelJdbcSupport<?>> getJdbcSupport() {
		return ItemJdbcSupport.class;
	}

	@Override
	public String getTableName() {
		return "ITEM";
	}

	@Override
	public List<String> getColumnNames() {
		return Arrays.asList("GTIN", "ITEM_NAME", "CATEGORY_CODE",
				"CATEGORY_NAME");
	}

}
