/**
 * Copyright 2012 Asakusa Framework Team.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.asakusafw.tutorial.sumreceipt.gateway;

import com.asakusafw.tutorial.modelgen.dmdl.csv.AbstractReceiptCsvImporterDescription;

/**
 * CSV形式のレシートデータをインポートする。
 * インポート対象ファイルは {@code input/receipt.csv}。
 */
public class ReceiptFromCSV extends AbstractReceiptCsvImporterDescription {

	@Override
	public String getProfileName() {
		return "pos";
	}

	@Override
	public String getPath() {
		return "input/receipt.csv";
	}

}
